apiVersion: v1
kind: PersistentVolume
metadata:
  name: stolon-pv-0
  namespace: postgresql
  labels:
    postgres-id: "stolon-0"
spec:
  capacity:
    storage: 10Gi
  storageClassName: stolon-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/k8s-Volumes/k8s-cluster-iac-deployed/postgresql-stolon/keeper-0
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: stolon-pv-1
  namespace: postgresql
  labels:
    postgres-id: "stolon-0"
spec:
  capacity:
    storage: 10Gi
  storageClassName: stolon-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/k8s-Volumes/k8s-cluster-iac-deployed/postgresql-stolon/keeper-1
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: stolon-pv-2
  namespace: postgresql
  labels:
    postgres-id: "stolon-0"
spec:
  capacity:
    storage: 10Gi
  storageClassName: stolon-nfs-csi
  accessModes:
    - ReadWriteOnce
  persistentVolumeReclaimPolicy: Retain
  nfs:
    server: 192.168.1.22
    path: /mnt/fenix-main-nas-pool-0/data/k8s-Volumes/k8s-cluster-iac-deployed/postgresql-stolon/keeper-2
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: stolon-data-stolon-keeper-0
  namespace: postgresql
  labels:
    postgres-id: "stolon-0"
spec:
  storageClassName: stolon-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: stolon-pv-0
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      postgres-id: "stolon-0"
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: stolon-data-stolon-keeper-1
  namespace: postgresql
  labels:
    postgres-id: "stolon-0"
spec:
  storageClassName: stolon-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: stolon-pv-1
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      postgres-id: "stolon-0"
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: stolon-data-stolon-keeper-2
  namespace: postgresql
  labels:
    postgres-id: "stolon-0"
spec:
  storageClassName: stolon-nfs-csi
  accessModes:
    - ReadWriteOnce
  volumeName: stolon-pv-2
  resources:
    requests:
      storage: 10Gi
  selector:
    matchLabels:
      postgres-id: "stolon-0"
---